Skip to content
Docs
English
Esc
↑↓navigate↵open⌘Jpreview

Get utilization data for a room

Returns hourly appointment counts for today (24 UTC hours) and daily counts for the current week (Mon–Sun, UTC). Scoped to your integration’s institution via Basic Auth credentials.

GET/rooms/{id}/utilization
Authorization
AuthorizationBasic auth · headerrequired

Basic Auth with clientId as username and clientSecret as password

Path parameters
idstringrequired
Responses
200

Room utilization data

dataRoomUtilizationrequired

Room appointment utilization from scheduled appointments. All times are UTC. Week starts Monday (index 0 = Monday).

Show properties
roomIdstringrequired
todayinteger[]required

Hourly appointment counts for today (24 values, index 0 = midnight UTC).

thisWeekinteger[]required

Daily appointment counts for the current week (7 values, Mon–Sun).

metaResponseMetarequired
Show properties
requestIdstringrequired
timestampstring<date-time>required
versionstringrequired
Allowed:v4
401

Unauthorized

typestringrequired
Allowed:error
codestringrequired
Allowed:bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_error
titlestringrequired
statusintegerrequired
detailstringrequired
instancestring
errorsobject[]
Show properties
Array of object
fieldstring
messagestring
404

Not Found

typestringrequired
Allowed:error
codestringrequired
Allowed:bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_error
titlestringrequired
statusintegerrequired
detailstringrequired
instancestring
errorsobject[]
Show properties
Array of object
fieldstring
messagestring
429

Too Many Requests

typestringrequired
Allowed:error
codestringrequired
Allowed:bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_error
titlestringrequired
statusintegerrequired
detailstringrequired
instancestring
errorsobject[]
Show properties
Array of object
fieldstring
messagestring
500

Internal Server Error

typestringrequired
Allowed:error
codestringrequired
Allowed:bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_error
titlestringrequired
statusintegerrequired
detailstringrequired
instancestring
errorsobject[]
Show properties
Array of object
fieldstring
messagestring
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://fuxam.app/api/v4/rooms/string/utilization' \
  -H 'Authorization: Basic YOUR_CREDENTIALS'
Response
{
  "data": {
    "roomId": "room_001",
    "today": [
      0,
      0,
      0,
      1,
      2,
      1,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0
    ],
    "thisWeek": [
      3,
      5,
      2,
      4,
      1,
      0,
      0
    ]
  },
  "meta": {
    "requestId": "req_abc123",
    "timestamp": "2026-06-26T00:00:00.000Z",
    "version": "v4"
  }
}